# Cinder

# cinder::gl::VboMesh::VertexIter Class Reference

`#include <Vbo.h>`

List of all members.

## Classes
struct | Obj
## Public Member Functions
| VertexIter (const VboMesh &mesh)
void | setPosition (const Vec3f &v)
void | setPosition (float x, float y, float z)
void | setNormal (const Vec3f &n)
void | setColorRGB (const Color &n)
void | setColorRGBA (const Color &n)
void | setTexCoord2d0 (const Vec2f &t)
void | setTexCoord3d0 (const Vec3f &t)
void | setTexCoord2d1 (const Vec2f &t)
void | setTexCoord3d1 (const Vec3f &t)
void | setTexCoord2d2 (const Vec2f &t)
void | setTexCoord3d2 (const Vec3f &t)
void | setCustomFloat (size_t index, float v)
void | setCustomVec2f (size_t index, const Vec2f &v)
void | setCustomVec3f (size_t index, const Vec3f &v)
void | setCustomVec4f (size_t index, const Vec4f &v)
void | operator++ ()
bool | isDone () const
size_t | getIndex () const
size_t | getStride () const
void * | getPointer () const
Vec3f * | getPositionPointer () const
## Protected Member Functions
void | set (const VertexIter &other)
## Protected Attributes
shared_ptr< Obj > | mObj
uint8_t * | mPtr
uint8_t * | mData
uint8_t * | mDataEnd
size_t | mPositionOffset
size_t | mNormalOffset
size_t | mColorRGBOffset
size_t | mColorRGBAOffset
size_t | mTexCoordOffset [ATTR_MAX_TEXTURE_UNIT+1]
uint8_t | mStride

## Constructor & Destructor Documentation

cinder::gl::VboMesh::VertexIter::VertexIter | ( | const VboMesh & | mesh | ) |

## Member Function Documentation

void cinder::gl::VboMesh::VertexIter::setPosition | ( | const Vec3f & | v | ) |

void cinder::gl::VboMesh::VertexIter::setPosition | ( | float | x,
|  | float | y,
|  | float | z |
| ) |  |  |

void cinder::gl::VboMesh::VertexIter::setNormal | ( | const Vec3f & | n | ) |

void cinder::gl::VboMesh::VertexIter::setColorRGB | ( | const Color & | n | ) |

void cinder::gl::VboMesh::VertexIter::setColorRGBA | ( | const Color & | n | ) |

void cinder::gl::VboMesh::VertexIter::setTexCoord2d0 | ( | const Vec2f & | t | ) |

void cinder::gl::VboMesh::VertexIter::setTexCoord3d0 | ( | const Vec3f & | t | ) |

void cinder::gl::VboMesh::VertexIter::setTexCoord2d1 | ( | const Vec2f & | t | ) |

void cinder::gl::VboMesh::VertexIter::setTexCoord3d1 | ( | const Vec3f & | t | ) |

void cinder::gl::VboMesh::VertexIter::setTexCoord2d2 | ( | const Vec2f & | t | ) |

void cinder::gl::VboMesh::VertexIter::setTexCoord3d2 | ( | const Vec3f & | t | ) |

void cinder::gl::VboMesh::VertexIter::setCustomFloat | ( | size_t | index,
|  | float | v |
| ) |  |  |

void cinder::gl::VboMesh::VertexIter::setCustomVec2f | ( | size_t | index,
|  | const Vec2f & | v |
| ) |  |  |

void cinder::gl::VboMesh::VertexIter::setCustomVec3f | ( | size_t | index,
|  | const Vec3f & | v |
| ) |  |  |

void cinder::gl::VboMesh::VertexIter::setCustomVec4f | ( | size_t | index,
|  | const Vec4f & | v |
| ) |  |  |

void cinder::gl::VboMesh::VertexIter::operator++ | ( |  | ) |

bool cinder::gl::VboMesh::VertexIter::isDone | ( |  | ) | const

size_t cinder::gl::VboMesh::VertexIter::getIndex | ( |  | ) | const

Returns:
  Which vertex the iterator is pointing to

size_t cinder::gl::VboMesh::VertexIter::getStride | ( |  | ) | const

Returns:
  Which vertex the iterator is pointing to

void* cinder::gl::VboMesh::VertexIter::getPointer | ( |  | ) | const

Returns:
  Raw pointer where the iterator is currently writing

Vec3f* cinder::gl::VboMesh::VertexIter::getPositionPointer | ( |  | ) | const

Returns:
  pointer where the iterator is currently writing positions

void cinder::gl::VboMesh::VertexIter::set | ( | const VertexIter & | other | ) | `[protected]`

## Member Data Documentation

shared_ptr<Obj> cinder::gl::VboMesh::VertexIter::mObj`[protected]`

uint8_t* cinder::gl::VboMesh::VertexIter::mPtr`[protected]`

uint8_t* cinder::gl::VboMesh::VertexIter::mData`[protected]`

uint8_t * cinder::gl::VboMesh::VertexIter::mDataEnd`[protected]`

size_t cinder::gl::VboMesh::VertexIter::mPositionOffset`[protected]`

size_t cinder::gl::VboMesh::VertexIter::mNormalOffset`[protected]`

size_t cinder::gl::VboMesh::VertexIter::mColorRGBOffset`[protected]`

size_t cinder::gl::VboMesh::VertexIter::mColorRGBAOffset`[protected]`

size_t cinder::gl::VboMesh::VertexIter::mTexCoordOffset[ATTR_MAX_TEXTURE_UNIT+1]`[protected]`

uint8_t cinder::gl::VboMesh::VertexIter::mStride`[protected]`

The documentation for this class was generated from the following files:

- include/cinder/gl/Vbo.h
- src/cinder/gl/Vbo.cpp